@import url(https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700;900&display=swap);
fast-apptray {
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.25); }

fast-controller-wrapper[type="modal"] fast-controller-header fast-controller-title {
  font-size: 20pt;
  font-weight: 300; }

/* Additional styling for inputs */
/* Override for Webkits horrible yellow autofill */
input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 100px #eee inset; }

body, select, textarea {
  font-family: 'Roboto', Arial, sans-serif;
  font-weight: 400; }

.modal-header {
  font-size: 1.80em;
  line-height: 1.1em;
  font-weight: 300; }

.view-header {
  font-size: 2.10em;
  line-height: 1.1em;
  font-weight: 300; }

.view-subheader {
  font-size: 1.10em;
  font-weight: 400; }

.callout-label {
  font-size: 1.0em;
  font-weight: 700; }

.callout-value {
  font-size: 1.75em;
  line-height: 1em;
  font-weight: 300; }

.tableRow-columnLabels {
  font-size: 0.95em;
  font-weight: 700; }

fast-controller-wrapper[type="discrete"] fast-controller-footer {
  height: 60px; }

fast-navbutton-close {
  color: #0066BB;
  border-color: #0066BB;
  border-width: 1px; }

.toggleButton + label {
  padding: 5px 15px;
  border: 1px solid; }

.btn.outline, .btn.contained {
  padding-left: 15px;
  padding-right: 15px;
  min-height: 30px;
  line-height: 1.5em;
  text-transform: capitalize; }

.slider-selection {
  background-color: #55b2ff; }

.slider-handle {
  background-image: linear-gradient(to bottom, #0066BB 0%, #004a88 100%); }

/* ============================== */
/* Large Sliders */
.sliderWrapper.lg .slider-selection {
  background-color: #55b2ff;
  opacity: .75; }

.sliderWrapper.lg .slider-handle {
  background-color: #0066BB; }

.sliderWrapper.lg .slider-tick.in-selection {
  background-color: #55b2ff; }

/* ============================== */
/* Other Components */
.modal-size-max, .modal-size-fitToContent, fast-page {
  border-radius: 2px; }

.tile.light {
  border-radius: 2px;
  padding: 20px;
  line-height: 20px;
  text-transform: uppercase;
  font-weight: 600; }

/* Colors */
.color-primary1 {
  color: #0066BB !important; }

.color-primary1 svg {
  stroke: #0066BB; }

.bgColor-primary1 {
  background-color: #0066BB !important; }

.color-primary2 {
  color: #221F1F !important; }

.color-primary2 svg {
  stroke: #221F1F; }

.bgColor-primary2 {
  background-color: #221F1F !important; }

.color-primary3 {
  color: #41B6E6 !important; }

.color-primary3 svg {
  stroke: #41B6E6; }

.bgColor-primary3 {
  background-color: #41B6E6 !important; }

.color-primary4 {
  color: #EE6411 !important; }

.color-primary4 svg {
  stroke: #EE6411; }

.bgColor-primary4 {
  background-color: #EE6411 !important; }

.color-primary5 {
  color: #84C400 !important; }

.color-primary5 svg {
  stroke: #84C400; }

.bgColor-primary5 {
  background-color: #84C400 !important; }

.color-primary6 {
  color: #B7295A !important; }

.color-primary6 svg {
  stroke: #B7295A; }

.bgColor-primary6 {
  background-color: #B7295A !important; }

.color-primary7 {
  color: #AAAAAA !important; }

.color-primary7 svg {
  stroke: #AAAAAA; }

.bgColor-primary7 {
  background-color: #AAAAAA !important; }

.color-primary8 {
  color: #0076CE !important; }

.color-primary8 svg {
  stroke: #0076CE; }

.bgColor-primary8 {
  background-color: #0076CE !important; }

.color-error {
  color: #b20000 !important; }

.color-error svg {
  stroke: #b20000; }

.bgColor-error {
  background-color: #b20000 !important; }

.color-button {
  color: #0066BB; }

.color-button svg {
  stroke: #0066BB; }

.bgColor-button {
  background-color: #0066BB; }

.chartTheme-color-1 {
  color: #0066BB;
  background-color: #0066BB; }

.chartTheme-color-2 {
  color: #EE6411;
  background-color: #EE6411; }

.chartTheme-color-3 {
  color: #AAAAAA;
  background-color: #AAAAAA; }

.chartTheme-color-4 {
  color: #f5fbfe;
  background-color: #f5fbfe; }

.chartTheme-color-5 {
  color: #41B6E6;
  background-color: #41B6E6; }

.chartTheme-color-6 {
  color: #4148e6;
  background-color: #4148e6; }

.chartTheme-color-7 {
  color: #EE6411;
  background-color: #EE6411; }

/* Page Sizing */
fast-controllers {
  flex: 1 1 auto;
  position: relative; }

fast-page {
  border-radius: 0px !important;
  top: 0px;
  width: 100%;
  height: 100%;
  background-color: #fff;
  position: absolute; }

fast-controller-wrapper[type="discrete"] fast-page {
  animation-name: null !important;
  transition: left 0.6s cubic-bezier(0.57, 0.14, 0.13, 0.95), top 0.75s ease; }

@media (min-width: 1000px) {
  fast-controller-wrapper[type="discrete"] fast-controller-body {
    margin: 0px 0px 0px 0px; } }

@media (max-width: 999px) {
  fast-controller-wrapper[type="discrete"] fast-controller-body {
    margin: 0px 0px; } }

/* App Tray */
fast-apptray {
  background-color: rgba(0, 0, 0, 0.95); }

fast-apptray-toggle.open {
  background-color: rgba(0, 0, 0, 0.25); }

.appTray-menuButtons-wrapper {
  color: #ccc; }

.appTray-menuButtons-wrapper:hover i.btnIcon {
  background-color: rgba(255, 255, 255, 0.15); }

/* Analysis Manager */
.analysisMgr-activeAnalysis {
  color: #0066BB; }

.analysisMgr-menuOption-wrapper:hover .analysisMgr-menuOption[type='checkbox']:not(:checked) + label {
  background-color: rgba(0, 102, 187, 0.05);
  cursor: pointer; }

.analysisMgr-menuOption[type='checkbox']:checked + label {
  background-color: rgba(0, 102, 187, 0.15); }

.analysisMgr-menuOption + label.context-menu-active, .analysisMgr-menuOption-wrapper.active {
  background-color: rgba(0, 102, 187, 0.1) !important; }

.analysisMgr-menuOption-wrapper.validDrop {
  background-color: rgba(0, 102, 187, 0.5) !important; }

/* Toast */
.bgColor-toast-success {
  background: #0066BB; }

.bgColor-toast-error {
  background: #b20000; }

/* Audit Log */
.auditLog-option + label:hover {
  background-color: rgba(0, 102, 187, 0.05);
  cursor: pointer; }

.auditLog-option:checked + label {
  background-color: rgba(0, 102, 187, 0.15); }

/* General Animation */
@keyframes highlight-fadeOut {
  0% {
    background: none; }
  5% {
    background: rgba(0, 102, 187, 0.3); }
  30% {
    background: rgba(0, 102, 187, 0.3); }
  100% {
    background: none; } }

/* Context Menu */
.context-menu-item.context-menu-hover {
  background-color: #221F1F; }

/* Login Page */
.login-bg {
  background: #e6e6e6; }

@media (min-width: 767px) {
  .modal-login-title-wrapper {
    background: #fafafa; } }

/* Misc. */
.application-bg {
  background: #FFF; }

fast-app-header {
  background: #0066BB;
  color: #fff; }

fast-app-header fast-page-list .fast-page-list-button-wrapper {
  background: rgba(255, 255, 255, 0.1);
  padding: 5px 0px 5px 5px;
  border-radius: 0px; }

.hamburgerMenu-stripe {
  background-color: #FFF; }

fast-controller-wrapper[type=discrete] .indicator-item {
  background-color: #fff; }

fast-controller-wrapper[type=modal] .indicator-item {
  background-color: #555; }

fast-navbutton-next {
  background-color: #0066BB !important; }

fast-navbutton-next:hover, fast-navbutton-previous:hover {
  background-color: #00203c !important; }

fast-controller-wrapper[type=modal] fast-navbutton-previous {
  border-color: #0066BB !important;
  color: #0066BB !important;
  background-color: transparent !important; }

fast-controller-wrapper[type=modal] fast-navbutton-previous:hover {
  background-color: #00203c !important;
  color: #fff !important; }

fast-controller-wrapper[type=discrete] fast-navbutton-previous {
  border-color: #0066BB !important;
  color: #0066BB !important;
  background-color: transparent !important; }

fast-controller-wrapper[type=discrete] fast-navbutton-previous:hover {
  background-color: #00203c !important;
  color: #fff !important; }

@media (min-width: 1000px) {
  .modalController .controller-footer .controller-button-previous {
    border-color: #0066BB;
    color: #0066BB; }
  .controller-button-previous {
    border-color: #0066BB;
    color: #0066BB;
    border-width: 1px; }
  .controller-button-previous:hover {
    background-color: #00203c !important;
    color: #fff; }
  .controller-button-previous:hover {
    border-color: rgba(0, 0, 0, 0); }
  .controller-button-next {
    background-color: #0066BB !important;
    color: #fff; }
  .controller-button-next:hover {
    background-color: #00203c !important;
    color: #fff; } }

/* Styling of pages and modals */
/* Styling of modal Controllers */
fast-controller-wrapper[type="discrete"] fast-controller-footer {
  background: #EEEEEE; }

fast-controller-wrapper[type="modal"] fast-controller-footer {
  background: #f5f7fb; }

fast-controller-wrapper[type="modal"] fast-controller-header {
  background: #0066BB;
  color: #fff; }

.modal-innerWrapper {
  border-radius: 3px; }

/* Buttons */
.btn {
  font-size: 11.5pt;
  font-weight: 600; }
  .btn.outline, .btn.contained {
    border-radius: 0px; }
  .btn.contained {
    background-color: #0076CE;
    color: #fff; }
  .btn.contained svg {
    stroke: #fff; }
  .btn.contained:not(.active):hover {
    background-color: #002d4f;
    color: #fff; }
  .btn.contained.white {
    background-color: #fff;
    color: #0076CE; }
  .btn.text, .btn.inline-text {
    color: #003c6f; }
  .btn.text svg {
    stroke: #003c6f; }
  .btn.text:hover::after {
    background-color: rgba(0, 102, 187, 0.2); }
  .btn.outline {
    border-color: #0066BB;
    color: #0066BB;
    border-width: 1px; }
  .btn.outline svg {
    stroke: #0066BB; }
  .btn.outline:not(.active):hover {
    background-color: #00203c;
    border-color: rgba(0, 0, 0, 0);
    color: #fff; }
  .btn.outline:not(.active):hover svg {
    stroke: #fff; }

.controller-additionalButton {
  color: #fff; }

.tile.light {
  background-color: #eceff1;
  color: #245781;
  transition: background-color 0.15s ease-in-out; }

.tile.light:hover {
  background-color: #0066BB;
  color: #fff;
  cursor: pointer; }

/* Input: Standard Button */
[type='checkbox'].std + label:before {
  border-radius: 5px; }

input.std + label:before {
  border-color: #0076CE;
  color: #0076CE;
  border-width: 1.5px; }

input.std + label:hover:before {
  color: #0066BB; }

input.std.white + label:before {
  border-color: #0066BB;
  color: #fff; }

input.std + label:hover:before {
  background-color: rgba(0, 102, 187, 0.3); }

input.std + label:hover::after {
  background-color: rgba(0, 102, 187, 0.2); }

input.std.white + label:hover:before {
  background-color: rgba(255, 255, 255, 0.3); }

/* Input: Toggle Button */
.toggleButton + label, .toggleButton + label {
  border-radius: 0px; }

.toggleButton + label svg {
  stroke: #0066BB; }

.toggleButton:checked + label svg {
  stroke: #fff; }

.toggleButton.white:checked + label svg {
  stroke: #0066BB; }

.toggleButton + label {
  border-color: rgba(0, 0, 0, 0.1);
  color: #0066BB;
  background-color: rgba(255, 255, 255, 0); }

.toggleButton + label:hover {
  background-color: rgba(0, 102, 187, 0.3); }

.toggleButton:checked + label {
  border-color: #0066BB;
  background-color: #0066BB; }

.toggleButton:checked + label:hover {
  background-color: #0058a2; }

.toggleButton.no-border:not(:checked):not(.white) + label {
  background-color: rgba(0, 0, 0, 0.05); }

.toggleButton.no-border:not(:checked):not(.white) + label:hover {
  background-color: rgba(0, 0, 0, 0.1); }

.toggleButton.white:checked + label {
  color: #0066BB; }

.toggleButton.white + label:hover {
  background-color: rgba(255, 255, 255, 0.3); }

/* Input: Toggle Color */
input.toggleColor + label svg {
  stroke: #666; }

input.toggleColor:checked + label svg {
  stroke: #0066BB; }

input.toggleColor + label {
  color: #666; }

input.toggleColor:checked + label {
  color: #0066BB; }

input.toggleColor + label:hover {
  background-color: rgba(0, 102, 187, 0.2); }

input.toggleColor.white + label:hover {
  background-color: rgba(255, 255, 255, 0.2); }

input.toggleColor.underline:checked + label {
  border-bottom: 2px solid #0066BB; }

/* Input: Toggle Switch */
[type='checkbox'].toggleSwitch + label:after {
  background-color: #0066BB; }

[type='checkbox'].toggleSwitch + label {
  border-color: #0066BB !important; }

[type='checkbox'].toggleSwitch + label:hover {
  background-color: rgba(0, 102, 187, 0.3) !important; }

[type='checkbox'].toggleSwitch.white + label:hover {
  background-color: rgba(255, 255, 255, 0.3) !important; }

/* Radio inputs */
/* Radio button variant for modal controller navigation */
.navBar-horizontal .toggleButton:not(:checked) + label {
  color: #bbe0ff; }

.navBar-horizontal .toggleButton:not(:checked) + label .std + label:before {
  color: #bbe0ff !important;
  border-color: #55b2ff !important; }

.navBar-horizontal .toggleColor:not(:checked) + label .std + label:before {
  color: #bbe0ff !important;
  border-color: #55b2ff !important; }

.navBar-horizontal .toggleColor:not(:checked) + label {
  color: #bbe0ff !important; }

/* Pagelist component */
fast-page-list fast-navbutton.active {
  background-color: #221F1F;
  color: #fff !important; }

fast-page-list fast-navbutton {
  color: #fff !important; }

fast-page-list fast-navbutton.white.active {
  background-color: #0066BB;
  color: #fff !important; }

/* Text Inputs */
.input-enclosed {
  min-height: 35px;
  font-weight: 500; }

.input-enclosed:not(:disabled):not(.light):not(.white):not(.disabled) {
  background-color: rgba(0, 0, 0, 0.04);
  border: 1px solid rgba(0, 0, 0, 0.07);
  color: #0076CE; }

.input-enclosed:disabled:not(.light):not(.white) {
  color: #0076CE; }

.input-enclosed.input-dirty:not(.light):not(:disabled):not(.disabled):not(.no-dirty) {
  background-color: #bbe0ff !important; }

.input-enclosed.input-dirty.light:not(:disabled):not(.disabled):not(.no-dirty), .input-enclosed.input-dirty.white:not(:disabled):not(.disabled):not(.no-dirty) {
  background-color: rgba(187, 224, 255, 0.3) !important; }

.input-enclosed:not(.light):hover {
  border-color: rgba(0, 0, 0, 0.25) !important; }

.input-enclosed:focus {
  border-color: #0066BB !important;
  color: #0066BB !important; }

input:-webkit-autofill {
  background-color: #0066BB !important;
  color: #0066BB; }

/* Error Styling */
.input-enclosed.error, input[type=text].error, input[type=radio].error + label, input[type=checkbox].error + label {
  color: #b20000 !important;
  border-color: #b20000 !important; }

select.error {
  color: #b20000 !important;
  border-color: #b20000 !important; }

/* Tables */
.tableRow.subtotal {
  background-color: whitesmoke;
  font-weight: 700; }

.tableRow.total {
  background-color: gainsboro;
  font-weight: 700; }

.tableRow.subtotal input, .tableRow.total input {
  font-weight: 700; }

fast-row[subtotal] {
  background-color: whitesmoke !important;
  font-weight: 700; }

fast-row[total] {
  background-color: gainsboro !important;
  font-weight: 700; }

fast-row[subtotal] input, fast-row[total] input {
  font-weight: 700; }

fast-row[subtotal] input {
  font-weight: 700; }

fast-row[total] input {
  font-weight: 700; }

/* Other components */
.fast-collapsible-toggle:hover {
  color: #0066BB; }

/* Introduction Modal */
.bttmLogosCont {
  background-color: #fff;
  align-items: center; }
  .bttmLogosCont img {
    max-height: 30px; }

/* Primary Font */
body {
  font-size: 11.5pt;
  color: #444444; }

/* ================================================== */
/* Sales splash page */
.horizontal-bar {
  width: 75px;
  height: 2px;
  min-height: 2px;
  background-color: #0064FF;
  margin-top: 5px; }

.horizontal-bar.white {
  background-color: #fff; }

.expanded-text {
  letter-spacing: 0.1em; }


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/